[Bug 503736] [NEW] An API change in pyqt4 broke pykdeuic4

Alberto Milone alberto.milone at canonical.com
Wed Jan 6 10:07:47 UTC 2010


Public bug reported:

I tried to build jockey in Lucid but I got the following error:

  File "/usr/bin/pykdeuic4", line 42, in __str__
    return "kdecore.i18n(\"%s\")" % (self.escape(self.string),)
AttributeError: 'kde_i18n_string' object has no attribute 'escape'

The full log is here:
http://pastebin.ubuntu.com/352206/

It looks like escape() is no longer a method of the
qtproxies.i18n_string class and should be called as a separate function
i.e. qtproxies.escape() instead.

ProblemType: Bug
Architecture: amd64
Date: Wed Jan  6 11:05:00 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20091225)
Package: python-kde4-dev 4:4.3.2-0ubuntu4.1
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-9.13-generic
SourcePackage: kdebindings
Tags: lucid
Uname: Linux 2.6.32-9-generic x86_64

** Affects: kdebindings (Ubuntu)
     Importance: Medium
     Assignee: Alberto Milone (albertomilone)
         Status: In Progress


** Tags: amd64 apport-bug lucid

-- 
An API change in pyqt4 broke pykdeuic4
https://bugs.launchpad.net/bugs/503736
You received this bug notification because you are a member of Kubuntu
Bugs, which is subscribed to kdebindings in ubuntu.




More information about the kubuntu-bugs mailing list